import http from '@/utils/request'

// 获取账号列表
export function getAccountList (pageNum = 1, pageSize = 10) {
  return http.get(`/manager/list?pageNum=${pageNum}&pageSize=${pageSize}`)
}

// 新增账户
export function addAccount (params) {
  return http.post('/manager/add', params)
}

// 更新账户
export function updateAccount (params) {
  return http.post('/manager/update', params)
}

// 删除账户
export function deleteAccount (params) {
  return http.post('/manager/delete', params)
}

// 修改密码
export function updatePassword (params) {
  return http.put('/manager/password', params)
}
